/*  */
function color_update(tid, cid, type, dcor) {
	if (tid.val().match("^[#][A-F0-9]{6}$")) {
		switch (type) {
			case "B":
				cid.css("background-color", tid.val());
				break;
			case "F":
				cid.css("color", tid.val());
				break;
			default:
				break;
		}
	} else {
		if (tid.val() != "") alert("格式錯誤!請重新輸入!ex:#FFFFFF");
		tid.val("");
		switch (type) {
			case "B":
				cid.css("background-color", dcor);
				break;
			case "F":
				cid.css("color", dcor);
				break;
			default:
				break;
		}
	}
}